%define upstream_name    Hash-Slice
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Make a hash from a deep slice of another hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Hash::Slice lets you easily make a deep slice of a hash, specifically a
hash containing one or more nested hashes. Instead of just taking a slice
of the first level of a hash in an all-or-nothing manner, you can use slice
to take a slice of the first level, then take a particular slice of the
second level, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-13.mga10
+ Revision: 2203991
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-12.mga9
+ Revision: 1809485
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1504740
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-10.mga7
+ Revision: 1284285
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1164760
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.30.0-8.mga7
+ Revision: 1159037
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1028204
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 948161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 746450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685034
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 512215
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 368415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.30.0-1.mga3
+ Revision: 310643
- imported package perl-Hash-Slice


* Fri Oct 26 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
